> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Changes for October 6, 2025

## API changes

### Optional getPaid transaction details

**POST /MoneyIn/getpaid**: We added an optional `includeDetails` query parameter to return comprehensive transaction details in the response.

When `includeDetails=true`, the response now includes a `transactionDetails` object several important fields such as:

* **Complete transaction metadata**: Parent organization, paypoint information, gateway transaction IDs, batch details
* **Detailed payment data**: Masked account information, account type, expiration, holder name, BIN data, and payment breakdown
* **Transaction processing details**: Response codes, AVS and CVV responses, authorization codes
* **Customer information**: Complete billing and shipping address details, customer status, and custom identifiers

This enhancement allows you to retrieve relevant initial transaction information without making a separate API call, streamlining your integration and improving efficiency.

See the [Pay In Transaction integration guide](/guides/pay-in-developer-transactions-create#includedetailstrue-response) for a complete example of the `transactionDetails` object structure and usage.

### BatchNumber field format changes

The naming convention for the `BatchNumber` field has been updated to improve consistency, traceability, and avoid identifier collisions.

#### Update details

We made this change for a few reasons:

* The previous format could lead to duplicate batch names if more than one batch was created for the same `paypointId` and `serviceName` on the same day.
* The date format in the previous convention wasn't standardized, which could lead to confusion. It's now standardized to `yyyyMMdd`.
* We needed to include a unique GUID to help ensure that each batch can be distinctly identified.

Now, the maximum possible length of `batchNumber` is 65 characters.

**Previous format**

```
  "batch_" + paypointId + "_" + serviceName + "_" + batchDate:MM-dd-yyyy
```

Example: `batch_123_card_10-08-2025`

**New format**

```
  paypointId + "_" + serviceName + "_" + batchDate:yyyyMMdd + "_" + Guid.NewGuid()
```

Example: `123_card_20251008_3f2504e0-4f89-11d3-9a0c-0305e82c3301`

#### Required action

We recommend you update any integrations and systems that use `batchNumber` to support the new format.